#ifndef __ACTTESTRUNNER_PRIVATE_H__
#define __ACTTESTRUNNER_PRIVATE_H__

#include "acttestrunner.h"

struct __ITestRunner {
	ITestRunnerVtbl *pvt;
    ITestList* m_lstTest__;
};

static void __ITestRunner_startTest(ITestListener* self,ITest* test);
static void __ITestRunner_endTest(ITestListener* self,ITest* test);
static void __ITestRunner_addFailure(ITestListener* self,ITest* test,char* msg,int line,char* file);

static void __ITestRunner_start(ITestRunner* pme);
static void __ITestRunner_addTest(ITestRunner* pme, ITest* test);
static void __ITestRunner_runTest(ITestRunner* pme);
static void __ITestRunner_end(ITestRunner* pme);

#endif // __ACTTESTRUNNER_PRIVATE_H__

